%global _description \
rdopkg is a tool for automating RPM packaging tasks such as managing patches,\
updating to a new version and much more.\
\
Although it contains several RDO-specific actions, most of rdopkg\
functionality can be used for any RPM package following conventions\
described in the rdopkg manual.


Name:             rdopkg
Version:          1.7.0
Release:    1%{?dist}
Summary:          RPM packaging automation tool CLI

License:          ASL 2.0
URL:              https://github.com/softwarefactory-project/rdopkg
Source0:          %pypi_source

BuildArch:        noarch

BuildRequires:    git-core
BuildRequires:    asciidoc
BuildRequires:    make

Requires:         python3-rdopkg == %{version}-%{release}

%description %{_description}
This package contains rdopkg executable, man pages and docs.


%package -n python3-rdopkg
Summary:          RPM packaging automation tool

BuildRequires:    python3-devel
BuildRequires:    pyproject-rpm-macros
BuildRequires:    python3-pbr
BuildRequires:    python3-PyYAML

Requires:         python3-koji
Requires:         git-core
Requires:         git-review
Recommends:       python3-blessings
Recommends:       rpmlint

%description -n python3-rdopkg %{_description}

%prep
%autosetup -n %{name}-%{version} -S git

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rdopkg

sed -i -e 's/python /python3 /' Makefile doc/Makefile
make doc

install -d -m 755 %{buildroot}%{_mandir}/man{1,7}
install -p -m 644 doc/man/*.1 %{buildroot}%{_mandir}/man1/
install -p -m 644 doc/man/*.7 %{buildroot}%{_mandir}/man7/


%files -n rdopkg
%doc README.md
%doc doc/*.adoc doc/html
%{_bindir}/rdopkg
%{_mandir}/man1/rdopkg*
%{_mandir}/man7/rdopkg*

%files -n python3-rdopkg -f %{pyproject_files}


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
